kdevelop setup

Phil Martinez phil at goldengate.net
Sat Apr 21 23:17:37 UTC 2001


Hello, 

I am new to programming and kdevelop both, so i hope these questions don't 
seem ridiculous.

I Installed KDE 2.1.1 via rpms.  as part of that i installed kdoc-2.1.1, 
kdelibs and libs-devel 2.1.1 as well as kdevelop 1.4.1.  I am working on a 
Mandrake 7.2 system.

When i start the kdevelop setup program all looks as if it is going fine.  It 
goes through the program testing and finds everything except KTranslator and 
Qt Linguist.  The informs me that the Qt Documentation has been found at 
/usr/share/doc/qt-2.3.0/html/ and that the correct path has been set.  The 
next portion is where i run into trouble.  It tells me that it will create a 
new KDE-library documentation, and for that i need the kdelibs package (as 
the source package) (i installed the kdelibs as an rpm as stated earlier)  I 
say ok and am at a Library Documentation Update window.  I have 3 choices and 
no matter which one i choose or which directory i point it to, it fails to 
find any new kde libs.   I choose cancel and then the setup tells me that it 
is on the last step of installation, which is indexing my documentation.  I 
click on ok and am presented with a Create Search Database window.  Again, no 
matter which options i choose or what directories i point to, the index 
fails.  I have "index the QT and KDE documentation chosen and the medium size 
index".  I say cancel once again and setup tells me that the process finished 
successfully.  I click on OK.

I don't see anything out of the ordinary when the program starts up, but like 
i say, i am a complete newbie to this.  Am i missing something important by 
not having setup find the aforementioned docs and libs?

My second question, is after i start up kdevelop, i try to go to the c/c++ 
reference.  I get an error......"The C/C++ Reference is not installed.  
Please get the package "c_cpp_reference-1.0.tar.gz" from one of KDevelop's 
ftp mirrors. For a list of those web sites look at"  So i go and get the file 
it mentions and notice too that there is a 2.0 tarball of the same reference. 
 I get them both, and when i try to install the 1.0 version, i get complaints 
about my verson of qt.  The 2.0 version installs fine, but i still get the 
same error when i try to get the c/c++ reference.

Sorry about the length of my questons, all help will be greatly appreciated.

Sincerely
Phil Martinez



-
to unsubscribe from this list send an email to kdevelop-request at kdevelop.org with the following body:
unsubscribe »your-email-address«



More information about the KDevelop mailing list